<aside class=" absolute bottom-2 right-2 border-red-500 bg-red-500 border-2 rounded px-4 font-bold">
    
    <button
    (click)="onCatch()" >

    <ng-container *ngIf="isCaught; then caught else notCaught" ></ng-container>

        <ng-template #caught>
            <span>Release!</span>
        </ng-template>        
        <ng-template #notCaught>
        <span>Catch!</span>
        </ng-template>
    </button>
</aside>


